key: aws
title: AWS CloudSearch
description: Amazon CloudSearch is a managed service in the AWS Cloud that makes it simple and cost-effective to set up, manage, and scale a search solution for your website or application.
author: requarks.io
logo: https://static.requarks.io/logo/aws-cloudsearch.svg
website: https://aws.amazon.com/cloudsearch/
isAvailable: true
props:
  domain:
    type: String
    title: Search Domain
    hint: The name of your CloudSearch service.
    order: 1
  endpoint:
    type: String
    title: Document Endpoint
    hint: The Document Endpoint specified in the domain AWS console dashboard.
    order: 2
  region:
    type: String
    title: Region
    hint: The AWS datacenter region where the instance was created.
    default: us-east-1
    enum:
      - ap-northeast-1
      - ap-northeast-2
      - ap-southeast-1
      - ap-southeast-2
      - eu-central-1
      - eu-west-1
      - sa-east-1
      - us-east-1
      - us-west-1
      - us-west-2
    order: 3
  accessKeyId:
    type: String
    title: Access Key ID
    hint: The Access Key ID with CloudSearchFullAccess role access to the CloudSearch instance.
    order: 4
  secretAccessKey :
    type: String
    title: Secret Access Key
    hint: The Secret Access Key for the Access Key ID provided above.
    order: 5
  AnalysisSchemeLang:
    type: String
    title: Analysis Scheme Language
    hint: The language used to analyse content.
    default: en
    enum:
      - 'ar'
      - 'bg'
      - 'ca'
      - 'cs'
      - 'da'
      - 'de'
      - 'el'
      - 'en'
      - 'es'
      - 'eu'
      - 'fa'
      - 'fi'
      - 'fr'
      - 'ga'
      - 'gl'
      - 'he'
      - 'hi'
      - 'hu'
      - 'hy'
      - 'id'
      - 'it'
      - 'ja'
      - 'ko'
      - 'lv'
      - 'mul'
      - 'nl'
      - 'no'
      - 'pt'
      - 'ro'
      - 'ru'
      - 'sv'
      - 'th'
      - 'tr'
      - 'zh-Hans'
      - 'zh-Hant'
    order: 6

